org.apache.flume.instrumentation

## Class GangliaServer.GangliaCollector

- java.lang.Object
- - org.apache.flume.instrumentation.GangliaServer.GangliaCollector

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    GangliaServer

      protected class GangliaServer.GangliaCollector
      extends Object
      implements Runnable

  Worker which polls JMX for all mbeans with `ObjectName` within the flume namespace: org.apache.flume. All attributes of such beans are sent to the all hosts specified by the server that owns it's instance.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GangliaServer.GangliaCollector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GangliaServer.GangliaCollector

          protected GangliaServer.GangliaCollector()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.